# -*- coding: utf-8 -*-

import os
import sys
import site

ALLDIRS = [
    '/usr/local/www/webapps/xshop/virtualenv/lib/python2.6/site-packages'
]

# remember original path
old_sys_path = list(sys.path)

# add each new site-packages directory.
for directory in ALLDIRS:
    site.addsitedir(directory)

# reorder sys.path so new directories at the front.
new_sys_path = []
for item in list(sys.path):
    if item not in old_sys_path:
        new_sys_path.append(item)
        sys.path.remove(item)
sys.path[:0] = new_sys_path

sys.path.append('/usr/local/www/webapps/xshop/xshop')
os.environ['DJANGO_SETTINGS_MODULE'] = 'settings'

import django.core.handlers.wsgi

application = django.core.handlers.wsgi.WSGIHandler()
